summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-portage/eix/Manifest2
-rw-r--r--app-portage/eix/eix-0.33.11.ebuild (renamed from app-portage/eix/eix-0.33.10.ebuild)4
-rw-r--r--app-portage/eix/eix-99999999.ebuild6
-rw-r--r--app-portage/eix/metadata.xml3
-rw-r--r--eclass/meson.eclass50
-rw-r--r--metadata/pkg_desc_index2
-rw-r--r--profiles/use.local.desc1
7 files changed, 55 insertions, 13 deletions
diff --git a/app-portage/eix/Manifest b/app-portage/eix/Manifest
index da8d9858..96679f94 100644
--- a/app-portage/eix/Manifest
+++ b/app-portage/eix/Manifest
@@ -1 +1 @@
-DIST eix-0.33.10.tar.xz 623128 SHA512 d1dd7324b189d6c2e4cec22ff2fd2517ef338f742dfa0f1d8f24d230935402d08807bc748002f8dcb4b4370ebf41c30385e1b0f3feeb010bb63096e17269343a
+DIST eix-0.33.11.tar.xz 623256 SHA512 2829d1482abfe479ae71e8b00da07abe74ba3090ba2a3f9d9a93437cb2d4d64213968bcd6c082a6703ec1d9c36dfcfaa0850172f3ffd4d256f553b98eeaf29e6
diff --git a/app-portage/eix/eix-0.33.10.ebuild b/app-portage/eix/eix-0.33.11.ebuild
index 40506b50..1bc3f079 100644
--- a/app-portage/eix/eix-0.33.10.ebuild
+++ b/app-portage/eix/eix-0.33.11.ebuild
@@ -18,7 +18,7 @@ IUSE="debug +dep doc +jumbo-build"
for i in ${PLOCALES}; do
IUSE+=" l10n_${i}"
done
-IUSE+=" +meson nls optimization +required-use security +src-uri strong-optimization strong-security sqlite swap-remote tools"
+IUSE+=" +meson nls optimization +required-use security +src-uri strong-optimization strong-security sqlite swap-remote tools usr-portage"
DEPEND="nls? ( virtual/libintl )
sqlite? ( >=dev-db/sqlite-3:= )"
@@ -69,6 +69,7 @@ src_configure() {
$(meson_use dep dep-default)
$(meson_use required-use required-use-default)
$(meson_use src-uri src-uri-default)
+ $(usex usr-portage -Dportdir-default=/usr/portage '')
-Dzsh-completion="${EPREFIX}/usr/share/zsh/site-functions"
-Dportage-rootpath="${ROOTPATH}"
-Deprefix-default="${EPREFIX}"
@@ -97,6 +98,7 @@ src_configure() {
$(use_with dep dep-default)
$(use_with required-use required-use-default)
$(use_with src-uri src-uri-default)
+ $(use_with usr-portage portdir-default /usr/portage)
--with-zsh-completion
--with-portage-rootpath="${ROOTPATH}"
--with-eprefix-default="${EPREFIX}"
diff --git a/app-portage/eix/eix-99999999.ebuild b/app-portage/eix/eix-99999999.ebuild
index 21b88cb7..e5ff4daf 100644
--- a/app-portage/eix/eix-99999999.ebuild
+++ b/app-portage/eix/eix-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Martin V\"ath and others
+# Copyright 1999-2020 Martin V\"ath and others
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -32,7 +32,7 @@ IUSE="debug +dep doc +jumbo-build"
for i in ${PLOCALES}; do
IUSE+=" l10n_${i}"
done
-IUSE+=" +meson nls optimization +required-use security +src-uri strong-optimization strong-security sqlite swap-remote tools"
+IUSE+=" +meson nls optimization +required-use security +src-uri strong-optimization strong-security sqlite swap-remote tools usr-portage"
DEPEND="nls? ( virtual/libintl )
sqlite? ( >=dev-db/sqlite-3:= )"
@@ -87,6 +87,7 @@ src_configure() {
$(meson_use dep dep-default)
$(meson_use required-use required-use-default)
$(meson_use src-uri src-uri-default)
+ $(usex usr-portage -Dportdir-default=/usr/portage '')
-Dzsh-completion="${EPREFIX}/usr/share/zsh/site-functions"
-Dportage-rootpath="${ROOTPATH}"
-Deprefix-default="${EPREFIX}"
@@ -115,6 +116,7 @@ src_configure() {
$(use_with dep dep-default)
$(use_with required-use required-use-default)
$(use_with src-uri src-uri-default)
+ $(use_with usr-portage portdir-default /usr/portage)
--with-zsh-completion
--with-portage-rootpath="${ROOTPATH}"
--with-eprefix-default="${EPREFIX}"
diff --git a/app-portage/eix/metadata.xml b/app-portage/eix/metadata.xml
index 95886364..e242e61b 100644
--- a/app-portage/eix/metadata.xml
+++ b/app-portage/eix/metadata.xml
@@ -14,12 +14,13 @@
<flag name="optimization">Accept upstream's choices for CXXFLAGS/LDFLAGS for optimization. Absense of this USE flag does not strip user's *FLAGS</flag>
<flag name="required-use">Make REQUIRED_USE=true the default which enables support for REQUIRED_USE but requires more disk and memory.</flag>
<flag name="security">This adds some checks which can prevent certain exploits if e.g. the eix code has a bug. If you use the hardened toolchain, using this flag does not increase security and can even lead to problems.</flag>
+ <flag name="sqlite">Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix</flag>
<flag name="src-uri">Make SRC_URI=true the default which enables support for SRC_URI but requires roughly double disk and memory.</flag>
<flag name="strong-optimization">Adds several more agressive CXXFLAGS/LDFLAGS for optimization like graphite (if available). May cause trouble with some buggy compiler versions. Absense of this USE flag does not strip user's *FLAGS</flag>
<flag name="strong-security">Add many checks to prevent exploits if eix code has a bug. This will slow down eix considerably. Use only if you are paranoid or have reasons to suspect a bug.</flag>
- <flag name="sqlite">Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix</flag>
<flag name="swap-remote">Swap role of remote addresses in eix-remote, making the data from gpo.zugaina.org the first choice.</flag>
<flag name="tools">Create separate binary for script helper tools; useful if they are called extremely often</flag>
+ <flag name="usr-portage">Set last PORTDIR fallback to /usr/portage instead of /var/db/repos/gentoo</flag>
</use>
<upstream>
<maintainer>
diff --git a/eclass/meson.eclass b/eclass/meson.eclass
index 0a80c6b6..501be73a 100644
--- a/eclass/meson.eclass
+++ b/eclass/meson.eclass
@@ -1,4 +1,4 @@
-# Copyright 2017-2018 Gentoo Authors
+# Copyright 2017-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: meson.eclass
@@ -51,7 +51,7 @@ fi
if [[ -z ${_MESON_ECLASS} ]]; then
-inherit ninja-utils python-utils-r1 toolchain-funcs
+inherit multiprocessing ninja-utils python-utils-r1 toolchain-funcs
fi
@@ -60,8 +60,8 @@ EXPORT_FUNCTIONS src_configure src_compile src_test src_install
if [[ -z ${_MESON_ECLASS} ]]; then
_MESON_ECLASS=1
-MESON_DEPEND=">=dev-util/meson-0.45.1
- >=dev-util/ninja-1.7.2"
+MESON_DEPEND=">=dev-util/meson-0.51.2
+ >=dev-util/ninja-1.8.2"
# @ECLASS-VARIABLE: MESON_AUTO_DEPEND
# @DESCRIPTION:
@@ -97,6 +97,12 @@ __MESON_AUTO_DEPEND=${MESON_AUTO_DEPEND} # See top of eclass
# Optional meson arguments as Bash array; this should be defined before
# calling meson_src_configure.
+# @VARIABLE: emesontestargs
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# Optional meson test arguments as Bash array; this should be defined before
+# calling meson_src_test.
+
read -d '' __MESON_ARRAY_PARSER <<"EOF"
import shlex
@@ -173,6 +179,7 @@ _meson_create_cross_file() {
objcpp = $(_meson_env_array "$(tc-getPROG OBJCXX c++)")
pkgconfig = '$(tc-getPKG_CONFIG)'
strip = $(_meson_env_array "$(tc-getSTRIP)")
+ windres = $(_meson_env_array "$(tc-getRC)")
[properties]
c_args = $(_meson_env_array "${CFLAGS} ${CPPFLAGS}")
@@ -207,6 +214,19 @@ meson_use() {
usex "$1" "-D${2-$1}=true" "-D${2-$1}=false"
}
+# @FUNCTION: meson_feature
+# @USAGE: <USE flag> [option name]
+# @DESCRIPTION:
+# Given a USE flag and meson project option, outputs a string like:
+#
+# -Doption=enabled
+# -Doption=disabled
+#
+# If the project option is unspecified, it defaults to the USE flag.
+meson_feature() {
+ usex "$1" "-D${2-$1}=enabled" "-D${2-$1}=disabled"
+}
+
# @FUNCTION: meson_src_configure
# @USAGE: [extra meson arguments]
# @DESCRIPTION:
@@ -243,30 +263,46 @@ meson_src_configure() {
}
# @FUNCTION: meson_src_compile
+# @USAGE: [extra ninja arguments]
# @DESCRIPTION:
# This is the meson_src_compile function.
meson_src_compile() {
debug-print-function ${FUNCNAME} "$@"
- eninja -C "${BUILD_DIR}"
+ eninja -C "${BUILD_DIR}" "$@"
}
# @FUNCTION: meson_src_test
+# @USAGE: [extra meson test arguments]
# @DESCRIPTION:
# This is the meson_src_test function.
meson_src_test() {
debug-print-function ${FUNCNAME} "$@"
- eninja -C "${BUILD_DIR}" test
+ local mesontestargs=(
+ -C "${BUILD_DIR}"
+ )
+ [[ -n ${NINJAOPTS} || -n ${MAKEOPTS} ]] &&
+ mesontestargs+=(
+ --num-processes "$(makeopts_jobs ${NINJAOPTS:-${MAKEOPTS}})"
+ )
+
+ # Append additional arguments from ebuild
+ mesontestargs+=("${emesontestargs[@]}")
+
+ set -- meson test "${mesontestargs[@]}" "$@"
+ echo "$@" >&2
+ "$@" || die "tests failed"
}
# @FUNCTION: meson_src_install
+# @USAGE: [extra ninja install arguments]
# @DESCRIPTION:
# This is the meson_src_install function.
meson_src_install() {
debug-print-function ${FUNCNAME} "$@"
- DESTDIR="${D}" eninja -C "${BUILD_DIR}" install
+ DESTDIR="${D}" eninja -C "${BUILD_DIR}" install "$@"
einstalldocs
}
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 04d14c7e..b12aecd8 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -22,7 +22,7 @@ app-eselect/eselect-net 0.2-r1: eselect module for managing network open-rc serv
app-misc/knapsack 7.2.1-r1: A fast solver for the 0/1-knapsack problem with multiple knapsacks
app-misc/machine-learning-mv 1.2-r1: Some machine learning experiments
app-portage/changelog-gitrepo 1.0: Create ChangeLog data for gentoo repositories from git
-app-portage/eix 0.33.10 99999999: Search and query ebuilds
+app-portage/eix 0.33.11 99999999: Search and query ebuilds
app-portage/etcat 1.0.2 99999999: Updated version of an old Portage information extractor
app-portage/find_cruft 5.1: find cruft files not managed by portage
app-portage/getdelta 0.7.9-r2: dynamic deltup client
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index af89d742..a1e83c9d 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -17,6 +17,7 @@ app-portage/eix:strong-optimization - Adds several more agressive CXXFLAGS/LDFLA
app-portage/eix:strong-security - Add many checks to prevent exploits if eix code has a bug. This will slow down eix considerably. Use only if you are paranoid or have reasons to suspect a bug.
app-portage/eix:swap-remote - Swap role of remote addresses in eix-remote, making the data from gpo.zugaina.org the first choice.
app-portage/eix:tools - Create separate binary for script helper tools; useful if they are called extremely often
+app-portage/eix:usr-portage - Set last PORTDIR fallback to /usr/portage instead of /var/db/repos/gentoo
app-portage/portage-bashrc-mv:ccache - Install a script for CCACHE_* variable support. This requires dev-util/ccache
app-portage/portage-bashrc-mv:cflags - Install a script for /etc/portage/package.cflags support. Requires app-portage/eix for fast parsing
app-portage/portage-bashrc-mv:remove-la - Install a script to remove unneeded .ls files